    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2007, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * ------------------
    028     * SeriesDataset.java
    029     * ------------------
    030     * (C) Copyright 2000-2007, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * Changes
    036     * -------
    037     * 17-Nov-2001 : Version 1 (DG);
    038     * 07-Oct-2002 : Fixed errors reported by Checkstyle (DG);
    039     * 19-May-2005 : Changed getSeriesName() --> getSeriesKey() and added indexOf()
    040     *               method (DG);
    041     *
    042     */
    043
    044    package org.jfree.data.general;
    045
    046    import org.jfree.data.category.CategoryDataset;
    047    import org.jfree.data.xy.IntervalXYDataset;
    048    import org.jfree.data.xy.IntervalXYZDataset;
    049    import org.jfree.data.xy.XYDataset;
    050    import org.jfree.data.xy.XYZDataset;
    051
    052    /**
    053     * The interface for a dataset consisting of one or many series of data.
    054     *
    055     * @see CategoryDataset
    056     * @see IntervalXYDataset
    057     * @see IntervalXYZDataset
    058     * @see XYDataset
    059     * @see XYZDataset
    060     */
    061    public interface SeriesDataset extends Dataset {
    062
    063        /**
    064         * Returns the number of series in the dataset.
    065         *
    066         * @return The series count.
    067         */
    068        public int getSeriesCount();
    069
    070        /**
    071         * Returns the key for a series.
    072         *
    073         * @param series  the series index (in the range <code>0</code> to
    074         *     <code>getSeriesCount() - 1</code>).
    075         *
    076         * @return The key for the series.
    077         */
    078        public Comparable getSeriesKey(int series);
    079
    080        /**
    081         * Returns the index of the series with the specified key, or -1 if there
    082         * is no such series in the dataset.
    083         *
    084         * @param seriesKey  the series key (<code>null</code> permitted).
    085         *
    086         * @return The index, or -1.
    087         */
    088        public int indexOf(Comparable seriesKey);
    089
    090    }